Subject: Re: bug#24470: 25.1; PNG images not rendering for Win Emacs 25.1

From: Eli Zaretskii <[email-masked]>
Date: Mon, 19 Sep 2016 21:54:27 +0300

> From: Sivaram Neelakantan <[email-masked]>
> Date: Mon, 19 Sep 2016 23:25:29 +0530
> 
> I'm unable to render jpg or png images with the Emacs 25.1 downloaded
> from gnu site.  I have the older Emacs 24.4 installed side by side and
> it's able to render the images without any changes to any init file.

What is the value of libjpeg-version and libpng-version in your Emacs
25.1 session?  And what versions of the corresponding libraries do you
have installed?

> If it helps, I have the ezwinports bin directory in the path too with
> all the relevant DLLs.

The binaries from ezwinports are 32-bit binaries, whereas your Emacs:

> In GNU Emacs 25.1.1 (x86_64-w64-mingw32)
                       ^^^^^^^^^^
is a 64-bit executable.  So you need 64-bit DLLs for the support
libraries.  Do you have them installed?  If not, that's your problem.